Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Alienware 17 R3 (2015) Wifi and ethernet not functional

I just bought an Alienware 17 R3 (2015) and would like to get Fedora 23 up and running on the system.

I am having issues with ath10k firmware, as I have seen numerous reports around the internet. There are a number of posts discussing downloading firmware, using kvalo's kernel fork etc. however I have not been able to make these steps work for me, either I'm doing it wrong or the revision of hardware needs something else.

I have updated to the latest packages from stock/rpmfusion repos

Kernel: Linux 4.2.5-300.fc23.x86_64 #1 SMP Tue Oct 27 04:29:56 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I can provide dmesg, lspci and dmidecode or any other needed system information I can confirm all hardware is operating normally under Windows 10

From dmesg I see the following relating to wifi

[root@area51-b ~]# dmesg | grep ath10k
[    3.406330] ath10k_pci 0000:3c:00.0: enabling device (0000 -> 0002)
[    3.407551] ath10k_pci 0000:3c:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[    3.553369] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/cal-pci-0000:3c:00.0.bin failed with error -2
[    3.553632] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:1a56:1535.bin failed with error -2
[    3.553636] ath10k_pci 0000:3c:00.0: failed to load spec board file, falling back to generic: -2
[    3.553944] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
[    3.553948] ath10k_pci 0000:3c:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2
[    5.675469] ath10k_pci 0000:3c:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:1a56:1535 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32
[    5.675472] ath10k_pci 0000:3c:00.0: debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[    5.739976] ath10k_pci 0000:3c:00.0 wlp60s0: renamed from wlan0
[   10.952589] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   13.952065] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   22.210819] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   25.210291] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   33.459086] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   36.458625] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   44.715317] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   47.714917] ath10k_pci 0000:3c:00.0: could not suspend target (-11)

According to lspci, my ethernet device has no modules loaded I consider myself a fairly fluent user using stock installs, this is my first attempt to run Linux on latest hardware. I am happy to pull any additional information or take specific actions

System Specs:
Intel Core i7 6700HQ
16GB
Killer Ethernet E2400 (Qualcomm Atheros Device e0a1)
Killer Wifi N1535 (Qualcomm Atheros QCA6174)

Alienware 17 R3 (2015) Wifi and ethernet not functional

I just bought an Alienware 17 R3 (2015) and would like to get Fedora 23 up and running on the system.

I am having issues with ath10k firmware, as I have seen numerous reports around the internet. There are a number of posts discussing downloading firmware, using kvalo's kernel fork etc. however I have not been able to make these steps work for me, either I'm doing it wrong or the revision of hardware needs something else.

I have updated to the latest packages from stock/rpmfusion repos

Kernel: Linux 4.2.5-300.fc23.x86_64 #1 SMP Tue Oct 27 04:29:56 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I can provide dmesg, lspci and dmidecode or any other needed system information I can confirm all hardware is operating normally under Windows 10

From dmesg I see the following relating to wifi

[root@area51-b ~]# dmesg | grep ath10k
[    3.406330] ath10k_pci 0000:3c:00.0: enabling device (0000 -> 0002)
[    3.407551] ath10k_pci 0000:3c:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[    3.553369] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/cal-pci-0000:3c:00.0.bin failed with error -2
[    3.553632] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:1a56:1535.bin failed with error -2
[    3.553636] ath10k_pci 0000:3c:00.0: failed to load spec board file, falling back to generic: -2
[    3.553944] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
[    3.553948] ath10k_pci 0000:3c:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2
[    5.675469] ath10k_pci 0000:3c:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:1a56:1535 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32
[    5.675472] ath10k_pci 0000:3c:00.0: debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[    5.739976] ath10k_pci 0000:3c:00.0 wlp60s0: renamed from wlan0
[   10.952589] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   13.952065] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   22.210819] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   25.210291] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   33.459086] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   36.458625] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   44.715317] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   47.714917] ath10k_pci 0000:3c:00.0: could not suspend target (-11)

According to lspci, my ethernet device has no modules loaded loaded

I consider myself a fairly fluent user using stock installs, this is my first attempt to run Linux on latest hardware. I am happy to pull any additional information or take specific actions

System Specs:
Intel Core i7 6700HQ
16GB
Killer Ethernet E2400 (Qualcomm Atheros Device e0a1)
Killer Wifi N1535 (Qualcomm Atheros QCA6174)

Alienware 17 R3 (2015) Wifi and ethernet not functional

I just bought an Alienware 17 R3 (2015) and would like to get Fedora 23 up and running on the system.

I am having issues with ath10k firmware, as I have seen numerous reports around the internet. There are a number of posts discussing downloading firmware, using kvalo's kernel fork etc. however I have not been able to make these steps work for me, either I'm doing it wrong or the revision of hardware needs something else.

I have updated to the latest packages from stock/rpmfusion repos

Kernel: Linux 4.2.5-300.fc23.x86_64 #1 SMP Tue Oct 27 04:29:56 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I can provide dmesg, lspci and dmidecode or any other needed system information I can confirm all hardware is operating normally under Windows 10

From dmesg I see the following relating to wifi

[root@area51-b ~]# dmesg | grep ath10k
[    3.406330] ath10k_pci 0000:3c:00.0: enabling device (0000 -> 0002)
[    3.407551] ath10k_pci 0000:3c:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[    3.553369] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/cal-pci-0000:3c:00.0.bin failed with error -2
[    3.553632] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/board-pci-168c:003e:1a56:1535.bin failed with error -2
[    3.553636] ath10k_pci 0000:3c:00.0: failed to load spec board file, falling back to generic: -2
[    3.553944] ath10k_pci 0000:3c:00.0: Direct firmware load for ath10k/QCA6174/hw3.0/firmware-5.bin failed with error -2
[    3.553948] ath10k_pci 0000:3c:00.0: could not fetch firmware file 'ath10k/QCA6174/hw3.0/firmware-5.bin': -2
[    5.675469] ath10k_pci 0000:3c:00.0: qca6174 hw3.2 (0x05030000, 0x00340aff, 168c:003e:1a56:1535 fallback) fw WLAN.RM.2.0-00180-QCARMSWPZ-1 api 4 htt 3.26 wmi 4 cal otp max_sta 32
[    5.675472] ath10k_pci 0000:3c:00.0: debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[    5.739976] ath10k_pci 0000:3c:00.0 wlp60s0: renamed from wlan0
[   10.952589] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   13.952065] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   22.210819] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   25.210291] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   33.459086] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   36.458625] ath10k_pci 0000:3c:00.0: could not suspend target (-11)
[   44.715317] ath10k_pci 0000:3c:00.0: failed to enable dynamic BW: -11
[   47.714917] ath10k_pci 0000:3c:00.0: could not suspend target (-11)

According to lspci, my ethernet device has no modules loaded

I consider myself a fairly fluent user using stock installs, this is my first attempt to run Linux on latest hardware. I am happy to pull any additional information or take specific actions

System Specs:
Intel Core i7 6700HQ
16GB
Killer Ethernet E2400 (Qualcomm Atheros Device e0a1)
Killer Wifi N1535 (Qualcomm Atheros QCA6174)